# Method: accounts.locations.getFoodMenus

- [HTTP request](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/getFoodMenus#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/getFoodMenus#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/getFoodMenus#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/getFoodMenus#body.request_body)
- [Response body](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/getFoodMenus#body.response_body)
- [Authorization Scopes](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/getFoodMenus#body.aspect)

Returns the food menus of a specific location. Only call this if location.location_state.can_have_food_menu is true.

### HTTP request

`GET https://mybusiness.googleapis.com/v4/{name=accounts/*/locations/*/foodMenus}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Google identifier for this location in the form: `accounts/{accountId}/locations/{locationId}/foodMenus` |

### Query parameters

| Parameters ||
|---|---|
| `readMask` | ``string (`https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#google.protobuf.FieldMask` format)`` Optional. The specific fields to return. If no mask is specified, then it returns the full FoodMenu (same as "\*"). Repeated field items can not be individually specified. For example: "name" and "menus" are valid masks, while "menus.sections" is invalid. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/my-business/reference/rest/v4/FoodMenus`.

### Authorization Scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/plus.business.manage`
- `https://www.googleapis.com/auth/business.manage`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).